Invites a user by email and assigns them to a task.

POSThttps://api.awork.com/api/v1/tasks/assignuserbyemail
POST https://api.awork.com/api/v1/tasks/assignuserbyemail

Invites a user by email and assigns them to a task. The invited user is added to the task's assignees.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Request body Required

The assign By Email form payload.

application/json

taskIdstringRequired
format: uuid

The id of the task.

emailstringRequired
format: emailminLength: 1

The email of the new user.

roleIdstringRequired
format: uuid

The id of the role to which the new user should be added.

firstNamestring or nullOptional

The first name of the user to be invited.

lastNamestring or nullOptional

The last name of the user to be invited.

genderstringOptional

Allowed: "male" "female" "other"

The gender of the user to be invited. Could be 'male', 'female', 'other'

Responses

200 OK
400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation